Subject: How to build gygwin on SUN/Solaris ?
From: [email-masked] (Andreas Bischoff)

21 May 1997 14:04:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Hi all,

Geoffrey mentioned that tcl/tk can only be build under Unix.

I tried it on my Solaris box, but it couldn't build wish:

gcc -O2  tkAppInit.o -L/smallhome/cygnusb18/cdk/tk/unix -ltk4.2 -L/smallhome/cygnusb18/cdk/tcl/unix -ltcl7.6  -lsocket -lnsl -Wl,-Bstatic -L/usr/openwin/lib -lX11 -lXext -lX11 -Wl,-Bdynamic -ldl -lm -lc \
         -o wish
Undefined                       first referenced
 symbol                             in file
wslen                               /usr/openwin/lib/libX11.a(XSunWcTProp.o)  (/usr/lib/libw.so.1?)
ld: fatal: Symbol referencing errors. No output written to wish

I used the following configure in the top level cdk directory:

../configure --build=sparc-sun-solaris2.4 --host=sparc-sun-solaris2.4 --target=i486-pc-cygwin32

Anything wrong with it ? I admit I never build a cross compiler before :-)

TIA,

		Andreas
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".